PHP Manual
Prev |  | Next

# imagerectangle

(PHP 3, PHP 4, PHP 5)

imagerectangle -- Draw a rectangle

## Description

bool imagerectangle ( resource image, int x1, int y1, int x2, int y2, int color )

imagerectangle() creates a rectangle starting at the specified coordinates.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`x1`

  Upper left x coordinate

`y1`

  Upper left y coordinate 0, 0 is the top left corner of the image.

`x2`

  Bottom right x coordinate

`y2`

  Bottom right y coordinate

`color`

  A color identifier created with imagecolorallocate()

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
imagepstext | Up | imagerotate